TelepathyQt4: Tp::OutgoingFileTransferChannel Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

# Tp::OutgoingFileTransferChannel Class Reference
[Channel proxies]

The OutgoingFileTransferChannel class provides an object representing a Telepathy channel of type FileTransfer for outgoing file transfers. More...

`#include <TelepathyQt4/OutgoingFileTransferChannel>`

Inherits Tp::FileTransferChannel.

List of all members.

## Public Member Functions

- virtual ~OutgoingFileTransferChannel ()
- PendingOperation * provideFile (QIODevice *input)

## Static Public Member Functions

- static
  OutgoingFileTransferChannelPtr create (const ConnectionPtr &connection, const QString &objectPath, const QVariantMap &immutableProperties)

## Static Public Attributes

- static const Feature FeatureCore

## Protected Member Functions

- OutgoingFileTransferChannel (const ConnectionPtr &connection, const QString &objectPath, const QVariantMap &immutableProperties)

## Detailed Description

The OutgoingFileTransferChannel class provides an object representing a Telepathy channel of type FileTransfer for outgoing file transfers.

## Constructor & Destructor Documentation

Tp::OutgoingFileTransferChannel::~OutgoingFileTransferChannel | ( |  | ) | `[virtual]`

Class destructor.

Tp::OutgoingFileTransferChannel::OutgoingFileTransferChannel | ( | const ConnectionPtr & | connection,
|  | const QString & | objectPath,
|  | const QVariantMap & | immutableProperties |
| ) |  |  | `[protected]`

Construct a new outgoing file transfer channel associated with the given objectPath on the same service as the given connection.

Parameters:

  | connection | Connection owning this channel, and specifying the service.
  | objectPath | Path to the object on the service.
  | immutableProperties | The immutable properties of the channel.

## Member Function Documentation

OutgoingFileTransferChannelPtr Tp::OutgoingFileTransferChannel::create | ( | const ConnectionPtr & | connection,
|  | const QString & | objectPath,
|  | const QVariantMap & | immutableProperties |
| ) |  |  | `[static]`

Create a new OutgoingFileTransferChannel object.

Parameters:

  | connection | Connection owning this channel, and specifying the service.
  | objectPath | The object path of this channel.
  | immutableProperties | The immutable properties of this channel.

Returns:
  A StreamedMediaChannelPtr object pointing to the newly created StreamedMediaChannel object.

Reimplemented from Tp::FileTransferChannel.

PendingOperation * Tp::OutgoingFileTransferChannel::provideFile | ( | QIODevice * | input | ) |

Provide the file for an outgoing file transfer which has been offered. The state will change to FileTransferStateOpen as soon as the transfer starts. The given input device should not be destroyed until the state() changes to FileTransferStateCompleted or FileTransferStateCancelled. If input is a sequential device QIODevice::isSequential(), it should be closed when no more data is available, so we know when to stop reading.

Only the primary handler of a file transfer channel may call this method.

This method requires FileTransferChannel::FeatureCore to be enabled.

Parameters:

  | input | A QIODevice object where the data will be read from.

Returns:
  A PendingOperation object which will emit PendingOperation::finished when the call has finished.

See also:
  stateChanged(), state(), stateReason()

## Member Data Documentation

const Feature Tp::OutgoingFileTransferChannel::FeatureCore`[static]`

Feature representing the core that needs to become ready to make the OutgoingFileTransferChannel object usable.

Note that this feature must be enabled in order to use most OutgoingFileTransferChannel methods. See specific methods documentation for more details.

When calling isReady(), becomeReady(), this feature is implicitly added to the requested features.

Reimplemented from Tp::FileTransferChannel.